Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::EntrySignals Class Reference

Abstract base class that implements the virtual signal handlers for Gtk::Entry. More...

`#include <xfc/gtk/entrysignals.hh>`

Inheritance diagram for Xfc::Gtk::EntrySignals:

List of all members.

## Public Member Functions

Signal Handlers

- virtual void on_populate_popup (Menu &menu)
    Called when the Entry displays its context-sensitive menu.
- virtual void on_activate ()
    Called when the Entry is activated by pressing the enter key.
- virtual void on_insert_at_cursor (const String &text)
    Called when text is inserted into the Entry at the current cursor position.

## Protected Member Functions

Constructors

- EntrySignals (Entry *entry)
    Construct a new EntrySignals object.
- virtual ~EntrySignals ()=0
    Destructor.

## Detailed Description

Abstract base class that implements the virtual signal handlers for Gtk::Entry.

## Constructor & Destructor Documentation

Xfc::Gtk::EntrySignals::EntrySignals | ( | Entry * | entry | ) | `[protected]`

Construct a new EntrySignals object.

Parameters:

  | entry | An Entry object inheriting the EntrySignals implementation.

## Member Function Documentation

virtual void Xfc::Gtk::EntrySignals::on_insert_at_cursor | ( | const String & | text | ) | `[virtual]`

Called when text is inserted into the Entry at the current cursor position.

Parameters:

  | text | The new text to insert.

virtual void Xfc::Gtk::EntrySignals::on_populate_popup | ( | Menu & | menu | ) | `[virtual]`

Called when the Entry displays its context-sensitive menu.

Parameters:

  | menu | The popup menu.

The documentation for this class was generated from the following file:

- entrysignals.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3